zenilib: zenilib/jni/external/sdl/src/video/SDL_blit_A.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
SDL_blit_A.c File Reference
`#include "SDL_config.h"`
`#include "SDL_video.h"`
`#include "SDL_blit.h"`

Go to the source code of this file.

## Macros

#define | BLEND16_50(d, s, mask) ((((s & mask) + (d & mask)) >> 1) + (s & d & (~mask & 0xffff)))
#define | BLEND2x16_50(d, s, mask)

## Functions

static void | Blit16to16SurfaceAlpha128 (SDL_BlitInfo *info, Uint16 mask)
static void | Blit555to555SurfaceAlpha (SDL_BlitInfo *info)
static void | Blit565to565SurfaceAlpha (SDL_BlitInfo *info)
static void | BlitARGBto555PixelAlpha (SDL_BlitInfo *info)
static void | BlitARGBto565PixelAlpha (SDL_BlitInfo *info)
static void | BlitNto1PixelAlpha (SDL_BlitInfo *info)
static void | BlitNto1SurfaceAlpha (SDL_BlitInfo *info)
static void | BlitNto1SurfaceAlphaKey (SDL_BlitInfo *info)
static void | BlitNtoNPixelAlpha (SDL_BlitInfo *info)
static void | BlitNtoNSurfaceAlpha (SDL_BlitInfo *info)
static void | BlitNtoNSurfaceAlphaKey (SDL_BlitInfo *info)
static void | BlitRGBtoRGBPixelAlpha (SDL_BlitInfo *info)
static void | BlitRGBtoRGBSurfaceAlpha (SDL_BlitInfo *info)
static void | BlitRGBtoRGBSurfaceAlpha128 (SDL_BlitInfo *info)
SDL_BlitFunc | SDL_CalculateBlitA (SDL_Surface *surface)

## Macro Definition Documentation

#define BLEND16_50 | ( |  | d,
|  |  | s,
|  |  | mask
| ) |  | ((((s & mask) + (d & mask)) >> 1) + (s & d & (~mask & 0xffff)))

Definition at line 590 of file SDL_blit_A.c.

Referenced by Blit16to16SurfaceAlpha128().

#define BLEND2x16_50 | ( |  | d,
|  |  | s,
|  |  | mask
| ) |  |

Value:
(((s & (mask | mask << 16)) >> 1) + ((d & (mask | mask << 16)) >> 1) \
+ (s & d & (~(mask | mask << 16))))
s
GLdouble s
Definition: glew.h:1376
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
mask
GLint GLint GLint GLint GLint GLint GLint GLbitfield mask
Definition: gl2ext.h:961

Definition at line 594 of file SDL_blit_A.c.

Referenced by Blit16to16SurfaceAlpha128().

## Function Documentation

static void Blit16to16SurfaceAlpha128 | ( | SDL_BlitInfo * | info,
|  | Uint16 | mask
| ) |  |

static

Definition at line 599 of file SDL_blit_A.c.

References BLEND16_50, BLEND2x16_50, d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by Blit555to555SurfaceAlpha(), and Blit565to565SurfaceAlpha().

static void Blit555to555SurfaceAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1017 of file SDL_blit_A.c.

References SDL_BlitInfo::a, Blit16to16SurfaceAlpha128(), d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void Blit565to565SurfaceAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 978 of file SDL_blit_A.c.

References SDL_BlitInfo::a, Blit16to16SurfaceAlpha128(), d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitARGBto555PixelAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1102 of file SDL_blit_A.c.

References d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_ALPHA_OPAQUE, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitARGBto565PixelAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1056 of file SDL_blit_A.c.

References d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_ALPHA_OPAQUE, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitNto1PixelAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 77 of file SDL_blit_A.c.

References ALPHA_BLEND_RGB, SDL_Color::b, SDL_PixelFormat::BytesPerPixel, SDL_Palette::colors, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_Color::g, NULL, SDL_PixelFormat::palette, SDL_Color::r, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

Referenced by SDL_CalculateBlitA().

static void BlitNto1SurfaceAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 30 of file SDL_blit_A.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGB, SDL_Color::b, SDL_PixelFormat::BytesPerPixel, SDL_Palette::colors, DISEMBLE_RGB, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_Color::g, NULL, SDL_PixelFormat::palette, SDL_Color::r, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

Referenced by SDL_CalculateBlitA().

static void BlitNto1SurfaceAlphaKey | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 123 of file SDL_blit_A.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGB, SDL_Color::b, SDL_PixelFormat::BytesPerPixel, SDL_BlitInfo::colorkey, SDL_Palette::colors, DISEMBLE_RGB, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP, SDL_Color::g, NULL, SDL_PixelFormat::palette, SDL_Color::r, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, SDL_BlitInfo::src_skip, and SDL_BlitInfo::table.

Referenced by SDL_CalculateBlitA().

static void BlitNtoNPixelAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1229 of file SDL_blit_A.c.

References ALPHA_BLEND_RGBA, ASSEMBLE_RGBA, SDL_PixelFormat::BytesPerPixel, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitNtoNSurfaceAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1149 of file SDL_blit_A.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGBA, ASSEMBLE_RGBA, SDL_PixelFormat::BytesPerPixel, DISEMBLE_RGB, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitNtoNSurfaceAlphaKey | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 1188 of file SDL_blit_A.c.

References SDL_BlitInfo::a, ALPHA_BLEND_RGBA, ASSEMBLE_RGBA, SDL_PixelFormat::BytesPerPixel, SDL_BlitInfo::colorkey, DISEMBLE_RGBA, SDL_BlitInfo::dst, SDL_BlitInfo::dst_fmt, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, RETRIEVE_RGB_PIXEL, RGB_FROM_PIXEL, SDL_BlitInfo::src, SDL_BlitInfo::src_fmt, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitRGBtoRGBPixelAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 462 of file SDL_blit_A.c.

References d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_ALPHA_OPAQUE, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitRGBtoRGBSurfaceAlpha | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 420 of file SDL_blit_A.c.

References SDL_BlitInfo::a, BlitRGBtoRGBSurfaceAlpha128(), d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by SDL_CalculateBlitA().

static void BlitRGBtoRGBSurfaceAlpha128 | ( | SDL_BlitInfo * | info | ) |

static

Definition at line 395 of file SDL_blit_A.c.

References d, SDL_BlitInfo::dst, SDL_BlitInfo::dst_h, SDL_BlitInfo::dst_skip, SDL_BlitInfo::dst_w, DUFFS_LOOP4, SDL_BlitInfo::src, and SDL_BlitInfo::src_skip.

Referenced by BlitRGBtoRGBSurfaceAlpha().

SDL_BlitFunc SDL_CalculateBlitA | ( | SDL_Surface * | surface | ) |

Definition at line 1271 of file SDL_blit_A.c.

References SDL_PixelFormat::Aloss, SDL_PixelFormat::Amask, SDL_PixelFormat::Ashift, Blit555to555SurfaceAlpha(), Blit565to565SurfaceAlpha(), BlitARGBto555PixelAlpha(), BlitARGBto565PixelAlpha(), BlitNto1PixelAlpha(), BlitNto1SurfaceAlpha(), BlitNto1SurfaceAlphaKey(), BlitNtoNPixelAlpha(), BlitNtoNSurfaceAlpha(), BlitNtoNSurfaceAlphaKey(), BlitRGBtoRGBPixelAlpha(), BlitRGBtoRGBSurfaceAlpha(), SDL_PixelFormat::Bmask, SDL_PixelFormat::Bshift, SDL_PixelFormat::BytesPerPixel, SDL_BlitMap::dst, SDL_BlitInfo::flags, SDL_Surface::format, SDL_PixelFormat::Gmask, SDL_PixelFormat::Gshift, SDL_BlitMap::identity, SDL_BlitMap::info, SDL_Surface::map, NULL, SDL_PixelFormat::Rmask, SDL_PixelFormat::Rshift, SDL_COPY_BLEND, SDL_COPY_COLORKEY, SDL_COPY_MODULATE_ALPHA, SDL_COPY_RLE_MASK, SDL_Has3DNow(), and SDL_HasMMX().

Referenced by SDL_CalculateBlit().